# ``twisted`.`internet`.`_resolver`.`ComplexResolverSimplifier``

class documentation

`class ComplexResolverSimplifier: (source)`

Implements interfaces: `twisted.internet.interfaces.IResolverSimple`

View In Hierarchy

A converter from `IHostnameResolver` to `IResolverSimple`

Method | `__init__` | Create a `ComplexResolverSimplifier` with an `IHostnameResolver`.
Method | `getHostByName` | See `IResolverSimple.getHostByName`
Instance Variable | `_nameResolver` | Undocumented

def __init__(self, nameResolver): (source)
Create a `ComplexResolverSimplifier` with an `IHostnameResolver`.

Parameters
nameResolver | The `IHostnameResolver` to use.

def getHostByName(self, name, timeouts=()): (source)
from `twisted.internet.interfaces.IResolverSimple`
See `IResolverSimple.getHostByName`

Parameters
name | see `IResolverSimple.getHostByName`
timeouts | see `IResolverSimple.getHostByName`
Returns
see `IResolverSimple.getHostByName`

_nameResolver = (source)

Undocumented